import { GameDataInterface } from "novadatainterface/GameDataInterface";
import { NovaDataInterface } from "novadatainterface/NovaDataInterface";
import { NovaResources } from "./ResourceHolderBase";
import { NovaIDs } from "novadatainterface/NovaIDs";
declare class NovaParse implements GameDataInterface {
    private pictImageGettable;
    private pictGettable;
    private pictMultiGettable;
    private spriteSheetDataGettable;
    private spriteSheetFramesGettable;
    private spriteSheetImageGettable;
    private spriteSheetMultiGettable;
    private shipParser;
    private shipPICTMap;
    private weaponOutfitMap;
    resourceNotFoundFunction: (message: string) => void;
    data: NovaDataInterface;
    path: string;
    private idSpaceHandler;
    readonly ids: Promise<NovaIDs>;
    readonly idSpace: Promise<NovaResources | Error>;
    constructor(dataPath: string, strict?: boolean);
    private buildIDsForResource;
    private buildIDs;
    private buildData;
    private makeGettable;
    private makeShipPictMap;
    private makeWeaponOutfitMap;
    private getSpriteSheetData;
    private getSpriteSheetImage;
    private getSpriteSheetFrames;
    private getPictData;
    private getPictImage;
}
export { NovaParse };
