import { BaseResource } from "./resourceParsers/NovaResourceBase";
import { BoomResource } from "./resourceParsers/BoomResource";
import { DescResource } from "./resourceParsers/DescResource";
import { OutfResource } from "./resourceParsers/OutfResource";
import { RledResource } from "./resourceParsers/RledResource";
import { PictResource } from "./resourceParsers/PictResource";
import { ShanResource } from "./resourceParsers/ShanResource";
import { ShipResource } from "./resourceParsers/ShipResource";
import { SpinResource } from "./resourceParsers/SpinResource";
import { SpobResource } from "./resourceParsers/SpobResource";
import { SystResource } from "./resourceParsers/SystResource";
import { WeapResource } from "./resourceParsers/WeapResource";
declare enum NovaResourceType {
    bööm = "b\u00F6\u00F6m",
    chär = "ch\u00E4r",
    cicn = "cicn",
    cölr = "c\u00F6lr",
    crön = "cr\u00F6n",
    dësc = "d\u00EBsc",
    DITL = "DITL",
    DLOG = "DLOG",
    düde = "d\u00FCde",
    flët = "fl\u00EBt",
    gövt = "g\u00F6vt",
    ïntf = "\u00EFntf",
    jünk = "j\u00FCnk",
    mïsn = "m\u00EFsn",
    nëbu = "n\u00EBbu",
    öops = "\u00F6ops",
    oütf = "o\u00FCtf",
    përs = "p\u00EBrs",
    PICT = "PICT",
    ränk = "r\u00E4nk",
    rlë8 = "rl\u00EB8",
    rlëD = "rl\u00EBD",
    röid = "r\u00F6id",
    shän = "sh\u00E4n",
    shïp = "sh\u00EFp",
    snd = "snd ",
    spïn = "sp\u00EFn",
    spöb = "sp\u00F6b",
    STR = "STR ",
    STRH = "STR#",
    sÿst = "s\u00FFst",
    vers = "vers",
    wëap = "w\u00EBap"
}
declare type ResList<T> = {
    [index: string]: T;
};
declare type NovaResources = {
    [index: string]: ResList<BaseResource>;
    bööm: ResList<BoomResource>;
    chär: ResList<BaseResource>;
    cicn: ResList<BaseResource>;
    cölr: ResList<BaseResource>;
    crön: ResList<BaseResource>;
    dësc: ResList<DescResource>;
    DITL: ResList<BaseResource>;
    DLOG: ResList<BaseResource>;
    düde: ResList<BaseResource>;
    flët: ResList<BaseResource>;
    gövt: ResList<BaseResource>;
    ïntf: ResList<BaseResource>;
    jünk: ResList<BaseResource>;
    mïsn: ResList<BaseResource>;
    nëbu: ResList<BaseResource>;
    öops: ResList<BaseResource>;
    oütf: ResList<OutfResource>;
    përs: ResList<BaseResource>;
    PICT: ResList<PictResource>;
    ränk: ResList<BaseResource>;
    rlë8: ResList<BaseResource>;
    rlëD: ResList<RledResource>;
    röid: ResList<BaseResource>;
    shän: ResList<ShanResource>;
    shïp: ResList<ShipResource>;
    "snd ": ResList<BaseResource>;
    spïn: ResList<SpinResource>;
    spöb: ResList<SpobResource>;
    "STR ": ResList<BaseResource>;
    STRH: ResList<BaseResource>;
    sÿst: ResList<SystResource>;
    vers: ResList<BaseResource>;
    wëap: ResList<WeapResource>;
};
declare function getEmptyNovaResources(): NovaResources;
export { NovaResources, NovaResourceType, getEmptyNovaResources, ResList };
