import { Resource } from "resourceforkjs";
import { NovaResources } from "../ResourceHolderBase";
import { BaseResource } from "./NovaResourceBase";
import { ExitPoints } from "novadatainterface/Animation";
declare type ImageInfo = {
    ID: number;
    maskID: number;
    setCount: number;
    size: Array<number>;
    transparency: number;
};
declare type Flags = {
    extraFramePurpose: string;
    displayEngineGlowWhenTurning: boolean;
    stopAnimationWhenDisabled: boolean;
    hideAltSpritesWhenDisabled: boolean;
    hideLightsWhenDisabled: boolean;
    unfoldWhenFiring: boolean;
    adjustForOffset: boolean;
};
declare type Blink = {
    mode: string;
    a: number;
    b: number;
    c: number;
    d: number;
};
declare type ShanImages = {
    [index: string]: ImageInfo | null;
    baseImage: ImageInfo;
    altImage: ImageInfo | null;
    glowImage: ImageInfo | null;
    lightImage: ImageInfo | null;
    weapImage: ImageInfo | null;
    shieldImage: ImageInfo | null;
};
declare class ShanResource extends BaseResource {
    images: ShanImages;
    flags: Flags;
    animDelay: number;
    weapDecay: number;
    framesPer: number;
    blink: Blink | null;
    exitPoints: ExitPoints;
    constructor(resource: Resource, idSpace: NovaResources);
}
export { ShanResource };
