import { Resource } from "resourceforkjs";
import { NovaResources } from "../ResourceHolderBase";
import { BaseResource } from "./NovaResourceBase";
declare type ShipWeap = {
    id: number;
    count: number;
    ammo: number;
};
declare type Outfit = {
    id: number;
    count: number;
};
declare class ShipResource extends BaseResource {
    pictID: number;
    cargoSpace: number;
    shield: number;
    acceleration: number;
    speed: number;
    turnRate: number;
    energy: number;
    freeSpace: number;
    armor: number;
    shieldRecharge: number;
    descID: number;
    weapons: Array<ShipWeap>;
    maxGuns: number;
    maxTurrets: number;
    techLevel: number;
    cost: number;
    deathDelay: number;
    armorRecharge: number;
    initialExplosion: number | null;
    finalExplosion: number | null;
    finalExplosionSparks: boolean;
    displayOrder: number;
    mass: number;
    length: number;
    inherentAI: number;
    crew: number;
    strength: number;
    inherentGovt: number;
    flagsN: number;
    podCount: number;
    outfits: Array<Outfit>;
    energyRecharge: number;
    skillVariation: number;
    flags2N: number;
    availabilityNCB: string;
    appearOn: string;
    onPurchase: string;
    deionize: number;
    ionization: number;
    keyCarried: number;
    contribute: number[];
    require: number[];
    buyRandom: number;
    hireRandom: number;
    onCapture: string;
    onRetire: string;
    subtitle: string;
    shortName: string;
    commName: string;
    longName: string;
    escortType: number;
    constructor(resource: Resource, idSpace: NovaResources);
}
export { ShipResource };
